#!/bin/bash
###Script de sphérisation carte satellite pour les Etats-Unis  		  ## http://weather.msfc.nasa.gov/GOES/ICG13-09312012339.jpg ##
									  ## http://www.meteo-mc.fr/dedie/Images/sat/satireu1.gif
									  ## http://weather.rap.ucar.edu/satellite/g13.2012339.1645_US_vis.jpg
									  ## http://www.meteo.gc.ca/data/satellite/goes_enam_1070_100.jpg

##--[[test=`curl -s http://weather.msfc.nasa.gov/GOES/goeseastconusir.html | grep -m 1 'GOES-E CONUS" TYPE=' | sed -e 's/^.*SRC="//' | sed -e 's/".*$//' | sed 's/^/http:\/\/weather\.msfc\.nasa\.gov/'` && wget -O /tmp/gwsus.jpg $test---]##

wget  -q -O  /tmp/goes_enam_1070_100.jpg "http://www.meteo.gc.ca/data/satellite/goes_enam_1070_100.jpg"
									  
convert /tmp/goes_enam_1070_100.jpg -resize 450x450 /tmp/goes_enam_1070_100.png 

convert /tmp/goes_enam_1070_100.png  -filter Lanczos -crop  380x380+0+45\! /tmp/goes_enam_1070_100.png

#creation du masque 
convert -size 380x380 xc:black -fill white -draw 'circle 189.5,189.5 189.5,0'   /tmp/masque.png

convert -size 380x380 xc:  -channel R  -fx 'yy=(j+.5)/h-.5; (i/w-.5)/(sqrt(1-4*yy^2))+.5' \
-separate  +channel     /tmp/sphere_lut.png

convert /tmp/masque.png \
 \( +clone -blur 0x20 -shade 110x21.7 -contrast-stretch 0% \
 +sigmoidal-contrast 6x50% -fill grey50 -colorize 10%  \) \
 -composite /tmp/overlay.png



convert /tmp/goes_enam_1070_100.png -resize 380x380   /tmp/sphere_lut.png   -fx 'p{ v*w, j }' \
/tmp/overlay.png   -compose HardLight  -composite \
/tmp/masque.png -alpha off -compose CopyOpacity -composite \
/tmp/sphere_goes_enam_1070_100.png


rm /tmp/overlay.png ;rm /tmp/masque.png ;rm /tmp/sphere_lut.png

